// Implementation ConfigGroup
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/parsled/
//

#include <ConfigGroup.h>
#include <stdlib.h>


ConfigGroup::ConfigGroup() :
    ParSledConfigClass("GROUP"),
    _name_x(""),
    _start(1),
    _min(1),
    _max(1),
    _state( 1 )
{
}

ConfigGroup::~ConfigGroup()
{
}

// 0: OK else error
int ConfigGroup::feedLine( IConfigLine *icf )
{
    int r = 0;
    if( (r=icf->scanNonEmptyString( "NAME", &_name_x )) >= 0 )
    {
        return r;
    }
    if( (r=icf->scanPositiveInt( "START", &_start )) >= 0 )
    {
        if( r == 0 )
        {
            _state = _start;
        }
        return r;
    }
    if( (r=icf->scanPositiveInt( "MIN", &_min )) >= 0 )
    {
        return r;
    }
    if( (r=icf->scanPositiveInt( "MAX", &_max )) >= 0 )
    {
        return r;
    }
    return 1;
}

// 0: OK else error
int ConfigGroup::checkOK()
{
    return 0;
}

const SimpleString &ConfigGroup::getName( void )
{
    return _name_x;
}

unsigned int ConfigGroup::getStart( void )
{
    return _start;
}

unsigned int ConfigGroup::getMin( void )
{
    return _min;
}

unsigned int ConfigGroup::getMax( void )
{
    return _max;
}

unsigned int ConfigGroup::getState( void )
{
    return _state;
}

void ConfigGroup::setState( unsigned int n )
{
    _state = n;
}

/* */
